%define name	gnuboy
%define version	1.0.3
%define rel	10

%define release %mkrel %rel
%define distsuffix plf

%{!?_with_svgalib: %{!?_without_svgalib: %define _without_svgalib --without-svgalib}}

Summary:	GameBoy Color emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Emulators
License:	GPL
Source0:	http://gnuboy.unix-fu.org/src/%{name}-%{version}.tar.bz2
Patch:		gnuboy-1.0.3-noansi.patch.bz2
Patch1:		gnuboy-1.0.3-no-strdup.patch.bz2
URL:		http://gnuboy.unix-fu.org/
BuildRequires:	libSDL-devel
%if %mdkversion >= 200700
BuildRequires:	libxext-devel
%endif
BuildRequires:  autoconf2.5
%{?_with_svga:	BuildRequires: svgalib-devel}
BuildRoot:	%{_tmppath}/%{name}-root

%description
gnuboy (all lowercase) is a portable program for emulating the Nintendo 
GameBoy Color software platform. gnuboy is Free Software, distributed 
under the terms of the GNU General Public License. Our goal is to provide 
a great emulator that runs on many platforms and is accessible for 
everyone's enjoyment.

This package is in PLF, as Mandriva doesn't allow console
emulation in Mandriva Linux.

%{?_with_svga:%package SVGA}
%{?_with_svga:Summary: gnuboy svgalib}
%{?_with_svga:Group: Emulators}
%{?_with_svga:Requires: gnuboy svgalib.}

%{?_with_svga:%description SVGA}
%{?_with_svga:gnuboy SVGA.}

%package X
Summary: gnuboy X
Group: Emulators
Requires: gnuboy

%description X
gnuboy X.

%package SDL
Summary: gnuboy SDL
Group: Emulators
Requires: gnuboy

%description SDL
gnuboy SDL.

%prep

%setup -q
%patch -p1
%patch1 -p1
autoconf

%build
%configure2_5x \
			--with-fb \
%{?_with_svgalib:	%{_with_svgalib}} \
%{?_without_svgalib:	%{_without_svgalib}} \
			--with-sdl \
			--with-x \
			--enable-arch \
			--enable-optimize=full \
			--disable-asm
%make X11_LIBS="-L %{_prefix}/X11R6/%{_lib} -lX11 -lXext"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin

%{?_with_svga:cp sgnuboy $RPM_BUILD_ROOT%{_bindir}}
cp fbgnuboy $RPM_BUILD_ROOT%{_bindir}
cp xgnuboy $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
cp sdlgnuboy $RPM_BUILD_ROOT%{_prefix}/X11R6/bin

%files
%defattr(-,root,root)
%doc COPYING INSTALL README 
%attr(755,root,root) %{_bindir}/fbgnuboy

%{?_with_svga:%files SVGA}
%{?_with_svga:%attr(755,root,root) %{_bindir}/sgnuboy}

%files X
%attr(755,root,root) %{_prefix}/X11R6/bin/xgnuboy

%files SDL
%attr(755,root,root) %{_prefix}/X11R6/bin/sdlgnuboy

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 21 2008 Gtz Waschk <goetz@zarb.org> 1.0.3-10plf2008.1
- fix plf reason

* Wed Aug 30 2006 Gtz Waschk <goetz@zarb.org> 1.0.3-9plf2007.0
- fix buildrequires

* Mon Aug 28 2006 Gtz Waschk <goetz@zarb.org> 1.0.3-8plf2007.0
- fix deps

* Sat Oct 29 2005 Anssi Hannula <anssi@zarb.org> 1.0.3-7plf
- fix X11_LIBS for x86_64
- disable asm, doesn't build on x86 anymore with it
- mkrel

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.0.3-6plf
- fix description

* Thu Mar  4 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.3-5plf
- fix buildrequires
- fix build

* Sat Sep 07 2002 David Walluck <david@anti-microsoft.org> 1.0.3-4plf
- whatever happened to svgalib?
- defining out svgalib in case it ever returns

* Tue Aug 27 2002 David Walluck <david@anti-microsoft.org> 1.0.3-3plf
- weird X linking problem

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 1.0.3-2plf
- cleanup
- split packages

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 1.0.3-1plf
- release
